io.vertx.rxjava.servicediscovery.spi

## Class ServicePublisher

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.spi.ServicePublisher

-     public class ServicePublisher
      extends Object

  The publisher is used by the importer to publish or unpublish records.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServicePublisher(ServicePublisher delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `static ServicePublisher` | `newInstance(ServicePublisher arg)`
    `void` | `publish(Record record, Handler<AsyncResult<Record>> resultHandler)` Publishes a record.
    `Observable<Record>` | `publishObservable(Record record)` Publishes a record.
    `void` | `unpublish(String id, Handler<AsyncResult<Void>> resultHandler)` Un-publishes a record.
    `Observable<Void>` | `unpublishObservable(String id)` Un-publishes a record.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicePublisher

          public ServicePublisher(ServicePublisher delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### publish

          public void publish(Record record,
                              Handler<AsyncResult<Record>> resultHandler)

      Publishes a record.
      Parameters:
        `record` - the record
        `resultHandler` - handler called when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### publishObservable

          public Observable<Record> publishObservable(Record record)

      Publishes a record.
      Parameters:
        `record` - the record
      Returns:

    - #### unpublish

          public void unpublish(String id,
                                Handler<AsyncResult<Void>> resultHandler)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
        `resultHandler` - handler called when the operation has completed (successfully or not).

    - #### unpublishObservable

          public Observable<Void> unpublishObservable(String id)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
      Returns:

    - #### newInstance

          public static ServicePublisher newInstance(ServicePublisher arg)

Copyright © 2016. All rights reserved.